Bug 1470204 - (CVE-2017-10672) CVE-2017-10672 perl-XML-LibXML: Use-after-free by controlling the arguments to a replaceChild call
CVE-2017-10672 perl-XML-LibXML: Use-after-free by controlling the arguments t...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170627,repor...
: Security
Depends On: 1470205
Blocks: 1470206
  Show dependency treegraph
 
Reported: 2017-07-12 10:06 EDT by Andrej Nemec
Modified: 2017-07-27 04:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-27 04:39:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 122246 None None None 2017-07-17 07:29 EDT
Github shlomif/perl-XML-LibXML/pull/8 None None None 2017-07-17 07:37 EDT

  None (edit)
Description Andrej Nemec 2017-07-12 10:06:55 EDT
Use-after-free in the XML-LibXML module through 2.0129 for Perl allows attackers to execute arbitrary code by controlling the arguments to a replaceChild call.

Upstream issue:

https://rt.cpan.org/Public/Bug/Display.html?id=122246
Comment 1 Andrej Nemec 2017-07-12 10:07:18 EDT
Created perl-XML-LibXML tracking bugs for this issue:

Affects: fedora-all [bug 1470205]
Comment 2 Petr Pisar 2017-07-17 07:29:14 EDT
Upstream provided a patch that simply short-circuits the case of replacing a child node with the same node to no-operation.
Comment 3 Petr Pisar 2017-07-17 07:37:41 EDT
There is an alternative fix provided by the reporter <https://github.com/shlomif/perl-XML-LibXML/pull/8>.
Comment 5 Stefan Cornelius 2017-07-27 04:39:30 EDT
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.